{
  "name": "@hydra/router",
  "version": "2.0.0-alpha-0",
  "description": "The core package for the microservices framework hydra.",
  "main": "dist/index.js",
  "scripts": {
    "test": "tsnd --respawn --clear src/index.ts",
    "tsc": "tsc",
    "jest": "jest",
    "jest-coverage": "jest --coverage",
    "lint": "eslint --format table",
    "lint-gitlab-ci-yml": "lint-gitlab-ci",
    "ncu": "ncu --packageFile package.json",
    "changelog": "changelog",
    "changelog:major": "changelog -M",
    "changelog:minor": "changelog -m",
    "changelog:patch": "changelog -p",
    "precommit": "concurrently -n lint-gitlab-ci,lint,jest,ncu \"npm run lint-gitlab-ci-yml --silent\" \"npm run lint --silent\" \"npm run jest-coverage --silent || true \" \"npm run ncu --silent\"",
    "prepush": "concurrently -n lint-gitlab-ci,lint,jest,ncu \"npm run lint-gitlab-ci-yml --silent\" \"npm run lint --silent\" \"npm run jest-coverage --silent\" \"npm run ncu --silent\"",
    "postinstall": "husky install",
    "prepublishOnly": "pinst --disable",
    "postpublish": "pinst --enable"
  },
  "repository": {
    "type": "git",
    "url": "git+ssh://git@gitlab.com:hydra-microservices/utilities/router.git"
  },
  "keywords": [
    "hydra",
    "microservices",
    "node-microservices"
  ],
  "license": "MIT",
  "bugs": {
    "url": "https://gitlab.com/hydra-microservices/utilities/router/issues"
  },
  "homepage": "https://gitlab.com/hydra-microservices/utilities/router#readme",
  "lint-staged": {
    "**/*.ts": "eslint --fix",
    "**/*.json": "prettier --write"
  },
  "dependencies": {
    "tslib": "^2.2.0"
  },
  "devDependencies": {
    "@babel/core": "^7.13.16",
    "@babel/preset-env": "^7.13.15",
    "@babel/preset-typescript": "^7.13.0",
    "@commitlint/cli": "^12.1.1",
    "@commitlint/config-conventional": "^12.1.1",
    "@types/jest": "^26.0.22",
    "@typescript-eslint/eslint-plugin": "^4.22.0",
    "@typescript-eslint/parser": "^4.22.0",
    "babel-jest": "^26.6.3",
    "concurrently": "^6.0.2",
    "eslint": "^7.25.0",
    "eslint-config-prettier": "^8.3.0",
    "eslint-plugin-filenames": "^1.3.2",
    "eslint-plugin-fp": "^2.3.0",
    "eslint-plugin-import": "^2.22.1",
    "eslint-plugin-jsdoc": "^32.3.1",
    "eslint-plugin-prettier": "^3.4.0",
    "generate-changelog": "^1.8.0",
    "husky": "^6.0.0",
    "jest": "^26.6.3",
    "lint-gitlab-ci": "^1.1.1",
    "lint-staged": "^10.5.4",
    "npm-check-updates": "^11.5.1",
    "pinst": "^2.1.6",
    "prettier": "^2.2.1",
    "ts-node-dev": "^1.1.6",
    "typescript": "^4.2.4"
  }
}
